Macaulay2 » Documentation
Packages » Macaulay2Doc » rings » basic rings of numbers » RRi » isMember(QQ,RRi)
next | previous | forward | backward | up | index | toc

# isMember(QQ,RRi) -- membership test in an interval

- Function: isMember
- Usage:
    `isMember(x,I)`
- Inputs:
  - x, a rational number, an integer, or a real number,
  - I, a real interval,
- Outputs:
  - a Boolean value,

## Description

Returns true if the input number is in the interval.

## See also

- isEmpty -- whether an object is empty

## Ways to use this method:

- isMember(QQ,RRi) -- membership test in an interval
- `isMember(RR,RRi)`
- `isMember(ZZ,RRi)`

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Macaulay2Doc/doc_intervals.m2:126:0.